function [x]=syslinrov(A,b)
% function [x]=syslinrov(A,b)
% reseni systemu lin. rovnic

[m,n]=size(A);
if m~=n
 error('Matice neni ctvercova')
end
m=length(b);
if m~=n
 error('Vektor b nema spravno delku')
end
b=b(:);
d=det(A);
if d==0
 error('Singularni matice')
end
k=1;
while k~=4
  k=menu('Vyber zpusob reseni','Primo','Cramerovo previdlo','Gaussova eliminace','Konec');
switch k
 case 1 
  x=primo(A,b);
  display('Prima metoda:');display(x)
 case 2
  x=cramer(A,b);
  display('Cramerovo pravidlo:');display(x)
 case 3
  x=gauss(A,b);
  display('Gaussova eliminace:'),display(x)
 case 4
  display('KONEC')
end

end

return

function [x]=primo(A,b)
x=A\b;
return

function [x]=cramer(A,b)
d=det(A);
x=zeros(size(b));
n=length(x);
for k=1:n
 AA=A;
 AA(:,k)=b;
 x(k)=det(AA)/d;
end
return

function [x]=gauss(A,b)
AA=[A,b];
AA=rref(AA);
[m,n]=size(AA);
x=AA(:,n);
